package com.lantone.security.web;

import com.lantone.common.api.CommonResult;
import com.lantone.common.dto.analyze.AnalyzeDTO;
import com.lantone.common.dto.report.BasDeptInfoDTO;
import com.lantone.common.vo.analyze.AnalyzeVO;
import com.lantone.common.vo.report.BasDeptInfoVO;
import com.lantone.security.facade.analyze.BehospitalInfoManagementFacade;
import com.lantone.security.facade.analyze.compute.BehospitalInfoManagementFacade_New;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Description:病历处理类
 * @Author songxl
 * @Date 2021/9/17
 */
@RestController
@RequestMapping("/beHosInfoManage")
@Api(value = "病历API", tags = { "病历API" })
public class BehospitalInfoController {
    @Autowired
    private BehospitalInfoManagementFacade behospitalInfoManagementFacade;
    @Autowired
    private BehospitalInfoManagementFacade_New behospitalInfoManagementFacadeNew;

    @ApiOperation(value = "评分[by:zhoutg]",
            notes = "")
    @PostMapping("/analyze===")
    @Transactional
    public CommonResult<AnalyzeDTO> analyze(@RequestBody AnalyzeVO analyzeVO) {
        return CommonResult.success(behospitalInfoManagementFacade.analyze(analyzeVO));
    }

    @ApiOperation(value = "评分[by:zhoutg]",notes = "")
    @PostMapping("/analyze")
    @Transactional
    public CommonResult<AnalyzeDTO> analyzeNew(@RequestBody AnalyzeVO analyzeVO) {
        return CommonResult.success(behospitalInfoManagementFacadeNew.analyze(analyzeVO));
    }

    @ApiOperation(value = "获取病历质控一览下医院科室下拉列表信息[by:gaodm]",
            notes = "inputStr: 搜索参数")
    @PostMapping("/getList")
    public CommonResult<List<BasDeptInfoDTO>> getList(@RequestBody BasDeptInfoVO basDeptInfoVO) {
        return CommonResult.success(behospitalInfoManagementFacade.listForUser(basDeptInfoVO));
    }
}
